#### EXIT

#### Synopsis

    HELP:   Pre-processing exit for customer implementation
    TYPE:   OBJECT
    SYNTAX: EXIT(LIBRARY='str',FUNCTION='str',PARAMETER='str')

#### Description

This object can be used to call a customer exit for column pre- processing. You can set the filename of the library (libfcpe) which implements the different column processing functions. On mainframe systems, the library name can be an empty string to fetch load modules from the STEPLIB concatenation.

Beside library and function name you can provide function-specific parameters. Please refer to the corresponding FCPE documentation to find out how these strings are to be specified.

To write your own FLAM column processing exit (FCPE), you must implement the interface specified in 'FCPE.h' header file. It is independent of the platform and programming language. You must simply provide a DLL/SO or load module which implements one main entry. The interface specifies an open, run and close function. The parameter string is given to the open function, which returns a handle. The run function uses the handle to transform input data to the output data and the close function can be used to release resources allocated by the handle. The interface specification can be found under the link below:

https://flam.de/ftp/FL5/doxygen/FCPE/

The processing component, which drives this exit, sets each attribute about the data to unknown except the CCSID. If you use an exit, you must define the complete data representation for the next processor or the type.

This exit can be used to implement several validation, tokenization, anonymization or masking services. To be PCIDSS compliant, it can be used for individual column encryption or to build summaries over the column data.

#### Arguments

- `STRING: LIBRARY='str' - Exit library name`
- `STRING: FUNCTION='str' - Exit function name`
- `STRING: PARAMETER='str' - Exit function parameter`